#include <string.h>
#include <stdlib.h>

#include "syntax.h"

expr_t make_binop(int op, expr_t first, expr_t second) {
  expr_t myexpr;
  myexpr.type = DEE_BINOP;
  myexpr.binop.op = op;
  myexpr.binop.first = (expr_t*) malloc(sizeof(expr_t));
  myexpr.binop.second = (expr_t*) malloc(sizeof(expr_t));
  memcpy(myexpr.binop.first, &first, sizeof(expr_t));
  memcpy(myexpr.binop.second, &second, sizeof(expr_t));
  return myexpr;
}
